<!DOCTYPE html>
<html xmlns:th="http://thymeleaf.org" th:fragment="main-fragment(titre,maincontent)">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="/webjars/bootstrap/5.3.2/css/bootstrap.min.css" />
    <title th:replace="${titre}">Formation Spring web</title>
</head>

<body>
  <nav class="navbar navbar-expand-lg navbar bg-dark border-bottom border-body sticky-top mb-2" data-bs-theme="dark">
        <div class="container-fluid">
            <a class="navbar-brand" th:href="@{/exemple}">Formation Spring Web</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavAltMarkup"
                aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li class="nav-item"><a class="nav-link" href="/exemple">Exemple</a></li>
                    <li class="nav-item"><a class="nav-link" href="/presentation">Présentation</a></li>
                    <li class="nav-item"><a class="nav-link" href="/exemple/testhymeleaf">Thymeleaf</a></li>
                      <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" data-bs-toggle="dropdown" href="#" role="button" aria-expanded="false">Administration</a>
                        <ul class="dropdown-menu">
                          <li><a class="dropdown-item" href="/admin/livres">Livres</a></li>
                          <li><a class="dropdown-item" href="/admin/auteurs">Auteurs</a></li>
                          <li><a class="dropdown-item" href="/admin/users">Utilisateurs</a></li>
                        </ul>
                      </li>

                    <li class="nav-item"><a class="nav-link" href="/store">Store</a></li>
                </ul>
            </div>
            <a class="text-decoration-none  mx-4 text-light"  aria-current="page" th:href="@{/store/basket}"/>Panier</a>
            <a class="btn btn-success btn-sm mx-2" th:href="@{/login}">Login</a>
            <form method="post" th:action="@{/logout}">
                <input type="submit" class="btn btn-secondary btn-sm" value="Logout" />
            </form>
        </div>
    </nav>
    <main class="container-fluid">
</div>
        <div th:replace="${maincontent}?:~{}"></div>
        <footer>
            <hr />
            <p class="text-center small">Formation Spring Web - Dawan - Décembre 2023</p>
        </footer>
    </main>
  <script src="/webjars/bootstrap/5.3.2/js/bootstrap.bundle.min.js"></script>
</body>

</html>